Public Class ParentForm

    Public Sub RefreshAllChildren()
        Dim Child As DateForm
        For Each Child In Me.MdiChildren
            If Not Me.MdiChildren Is Me.ActiveMdiChild Then
                Child.RefreshData()
            End If
        Next
    End Sub

    Private Sub cmdCreateNew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdCreateNew.Click
        ' Assume the New button was cliked (it's the only one).
        Dim Child As New DateForm()
        Child.MdiParent = Me
        Child.Show()
    End Sub
End Class